/* Single Product Page */
.single-product .site-content section.woocommerce .content-wrapper .breadcrumbs {
  padding-bottom: calc(var(--section-padding) - var(--gutter));
}
.single-product .site-content section.woocommerce .content-wrapper .woocommerce-notices-wrapper {
  -ms-grid-column: 1;
  grid-column: 1;
}
.single-product .site-content section.woocommerce .content-wrapper .product {
  row-gap: var(--section-padding);
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-product-gallery {
  -ms-flex-line-pack: start;
      align-content: start;
  background-color: var(--white);
  border: 1px solid var(--gray);
  border-bottom-left-radius: var(--border-radius);
  border-top-left-radius: var(--border-radius);
  display: -ms-grid;
  display: grid;
  -ms-grid-column: 1;
  -ms-grid-column-span: 4;
  grid-column: 1/span 4;
  padding: var(--content-padding) var(--gutter);
  position: relative;
  row-gap: var(--gutter);
}
@container main (max-width: 47.9375rem) {
  .single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-product-gallery {
    border-radius: var(--border-radius);
    grid-column: 1/-1;
  }
}
@container main (min-width: 48rem) {
  .single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-product-gallery {
    border-right: 0;
  }
  .single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-product-gallery:after {
    background-color: var(--gray);
    content: "";
    display: block;
    height: calc(100% - var(--gutter) * 2);
    position: absolute;
    right: 0;
    top: var(--gutter);
    width: 1px;
  }
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-product-gallery .woocommerce-product-gallery__trigger {
  background-color: var(--blue);
  color: transparent;
  display: inline-block;
  height: 21px;
  line-height: 21px;
  -webkit-mask-image: var(--icon-zoom);
          mask-image: var(--icon-zoom);
  -webkit-mask-position: center center;
          mask-position: center center;
  -webkit-mask-repeat: no-repeat;
          mask-repeat: no-repeat;
  -webkit-mask-size: contain;
          mask-size: contain;
  position: absolute;
  right: 20px;
  top: 20px;
  width: 21px;
  z-index: 1;
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-product-gallery .flex-viewport {
  max-width: calc(100% - 1px);
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-product-gallery .flex-viewport .woocommerce-product-gallery__wrapper {
  display: -ms-grid;
  display: grid;
  grid-auto-flow: column;
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-product-gallery .flex-viewport .woocommerce-product-gallery__wrapper .woocommerce-product-gallery__image {
  -ms-flex-line-pack: center;
      align-content: center;
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-product-gallery .flex-viewport .woocommerce-product-gallery__wrapper .woocommerce-product-gallery__image a img {
  height: auto;
  -o-object-fit: contain;
     object-fit: contain;
  width: 100%;
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-product-gallery .flex-control-nav {
  -webkit-column-gap: var(--gutter);
     -moz-column-gap: var(--gutter);
          column-gap: var(--gutter);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  list-style: none;
  row-gap: var(--gutter);
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-product-gallery .flex-control-nav li {
  cursor: pointer;
  -webkit-box-flex: 1;
      -ms-flex: 1 0 calc(25% - var(--gutter));
          flex: 1 0 calc(25% - var(--gutter));
  height: auto;
  max-width: calc(25% - var(--gutter));
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-product-gallery .flex-control-nav li img {
  height: 100%;
  -o-object-fit: contain;
     object-fit: contain;
  width: 100%;
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary {
  -ms-flex-line-pack: start;
      align-content: start;
  background-color: var(--white);
  border: 1px solid var(--gray);
  border-bottom-right-radius: var(--border-radius);
  border-top-right-radius: var(--border-radius);
  display: -ms-grid;
  display: grid;
  grid-column: 5/-1;
  grid-gap: var(--content-padding);
  -ms-grid-columns: auto var(--content-padding) 1fr;
  grid-template-columns: auto 1fr;
  padding: var(--content-padding) var(--gutter);
  row-gap: var(--gutter);
}
@container main (min-width: 62rem) {
  .single-product .site-content section.woocommerce .content-wrapper .product .entry-summary {
    padding-left: var(--section-padding);
  }
}
@container main (max-width: 47.9375rem) {
  .single-product .site-content section.woocommerce .content-wrapper .product .entry-summary {
    border-radius: var(--border-radius);
    grid-column: 1/-1;
  }
}
@container main (min-width: 48rem) {
  .single-product .site-content section.woocommerce .content-wrapper .product .entry-summary {
    border-left: 0;
    margin-left: calc(var(--gutter) * -1);
    max-width: calc(100% + var(--gutter));
    padding-left: var(--content-padding);
    width: calc(100% + var(--gutter));
  }
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary h1,
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .woocommerce-product-details__short-description,
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .product_meta,
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .stock {
  grid-column: 1/-1;
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .woocommerce-product-details__short-description p {
  font: var(--body-lg-font);
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .product_meta {
  display: -ms-grid;
  display: grid;
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .price {
  font: var(--header-2-font);
  display: -ms-grid;
  display: grid;
  -ms-grid-column: 1;
  grid-column: 1;
  -ms-grid-row: 5;
  grid-row: 5;
}
@container main (max-width: 79.9375rem) {
  .single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .price {
    font: var(--header-3-font);
  }
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .price del {
  font: var(--body-font);
  -ms-grid-row: 2;
  grid-row: 2;
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .price ins {
  text-decoration: none;
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .variations_form {
  grid-column: 1/-1;
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .variations_form .variations {
  border-collapse: collapse;
  margin-bottom: var(--gutter);
  width: 100%;
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .variations_form .variations tr {
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: auto var(--gutter) 1fr;
  grid-template-columns: auto 1fr;
  gap: var(--gutter);
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .variations_form .variations tr:not(:last-child) {
  margin-bottom: 10px;
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .variations_form .variations .label {
  font-weight: 600;
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .variations_form .variations .label label {
  font: var(--body-font);
  font-weight: 600;
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .variations_form .variations .value select {
  -webkit-appearance: auto;
     -moz-appearance: auto;
          appearance: auto;
  background-color: var(--white);
  border: 1px solid var(--gray);
  border-radius: var(--border-radius-sm);
  cursor: pointer;
  font: var(--body-font);
  min-width: 200px;
  padding: 10px 15px;
  width: 100%;
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .variations_form .variations .value select:focus {
  border-color: var(--blue);
  outline: none;
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .variations_form .variations .value .reset_variations {
  color: var(--blue);
  display: inline-block;
  font-size: 14px;
  margin-left: 10px;
  text-decoration: underline;
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .variations_form .variations .value .reset_variations:hover {
  text-decoration: none;
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .variations_form .single_variation_wrap {
  display: -ms-grid;
  display: grid;
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .variations_form .single_variation_wrap .woocommerce-variation {
  margin-bottom: var(--gutter);
  -ms-grid-row: 2;
  grid-row: 2;
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .variations_form .single_variation_wrap .woocommerce-variation .woocommerce-variation-price {
  font: var(--header-3-font);
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .variations_form .single_variation_wrap .woocommerce-variation .woocommerce-variation-availability {
  margin-top: 5px;
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .variations_form .single_variation_wrap .woocommerce-variation-add-to-cart {
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 1fr 20px auto;
  grid-template-columns: 1fr auto;
  gap: 20px;
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .cart {
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -ms-grid-row-align: center;
      align-self: center;
  display: -ms-grid;
  display: grid;
  grid-auto-flow: column;
  -ms-grid-column: 2;
  grid-column: 2;
  grid-gap: var(--content-padding);
  -ms-grid-row: 5;
  grid-row: 5;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: start;
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .cart:has(.variations) {
  -ms-grid-row: 6;
  grid-row: 6;
  grid-column: 1/-1;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: start;
  justify-items: start;
  gap: 30px;
}
@container main (max-width: 61.9375rem) {
  .single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .cart:has(.variations) {
    grid-auto-flow: row;
    gap: 0px;
  }
}
@container main (max-width: 61.9375rem) {
  .single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .cart {
    grid-column: 1/-1;
    -ms-grid-row: 6;
    grid-row: 6;
  }
}
@container main (max-width: 47.9375rem) {
  .single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .cart {
    grid-gap: var(--gutter);
  }
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .cart .quantity {
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-column-gap: 10px;
     -moz-column-gap: 10px;
          column-gap: 10px;
  display: -ms-grid;
  display: grid;
  grid-auto-flow: column;
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .cart .quantity input {
  border-color: var(--gray);
  text-align: center;
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .cart .quantity .btn {
  background-color: transparent;
  border: 1px solid var(--text-color);
  color: var(--text-color);
  height: 40px;
  line-height: 40px;
  width: 40px;
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .cart .quantity .btn:hover {
  background-color: var(--blue);
  --text-color: var(--white);
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .cart .quantity .btn i {
  font-size: 15px;
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .cart .single_add_to_cart_button {
  --text-color: var(--white);
  background-color: var(--blue);
  border: 0;
  border-radius: 50%;
  color: var(--white);
  height: 50px;
  padding: 0;
  text-align: center;
  width: 50px;
}
@container main (max-width: 47.9375rem) {
  .single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .cart .single_add_to_cart_button {
    height: 40px;
    width: 40px;
  }
}
.single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .cart .single_add_to_cart_button i {
  font-size: 27px;
}
@container main (max-width: 47.9375rem) {
  .single-product .site-content section.woocommerce .content-wrapper .product .entry-summary .cart .single_add_to_cart_button i {
    font-size: 22px;
  }
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-tabs {
  -ms-flex-line-pack: start;
      align-content: start;
  display: -ms-grid;
  display: grid;
  -ms-grid-column: 1;
  -ms-grid-column-span: 6;
  grid-column: 1/span 6;
  row-gap: var(--gutter);
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-tabs .wc-tabs {
  display: none;
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-tabs .wc-tab {
  background-color: var(--white);
  border: 1px solid var(--gray);
  border-radius: var(--border-radius);
  display: -ms-grid !important;
  display: grid !important;
  padding: var(--content-padding) var(--gutter);
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-tabs .wc-tab:has(.text-wrapper .text-content:empty) {
  display: none !important;
}
@container main (max-width: 47.9375rem) {
  .single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-tabs .wc-tab {
    padding: var(--gutter);
  }
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-tabs .wc-tab .text-wrapper {
  -ms-grid-rows: 0fr;
  grid-template-rows: 0fr;
  -webkit-transition: var(--default-transition);
  transition: var(--default-transition);
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-tabs .wc-tab .title {
  font: var(--header-3-font);
  text-align: left;
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-tabs .wc-tab .title i {
  font-size: 15px;
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-tabs .wc-tab.active .text-wrapper {
  -ms-grid-rows: auto;
  grid-template-rows: auto;
  padding-top: var(--gutter);
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-tabs .wc-tab.active .title i {
  -webkit-transform: rotate(-180deg);
          transform: rotate(-180deg);
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-tabs .wc-tab .text-content {
  overflow: hidden;
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-tabs .wc-tab .text-content ul {
  padding-left: 22px;
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-tabs .wc-tab .text-content ul li {
  list-style-type: disc;
  padding-left: 15px;
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-tabs .wc-tab .text-content ul li:not(:first-child) {
  margin-top: 10px;
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-tabs .wc-tab .text-content ul li::marker {
  color: var(--blue);
  font-size: 22px;
  line-height: 1;
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-tabs .wc-tab .text-content ol li:not(:first-child) {
  margin-top: 2px;
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-tabs .wc-tab .text-content ol li:before {
  content: "";
  display: inline-block;
  width: 25px;
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-tabs .wc-tab .text-content table {
  border-collapse: separate;
  border-spacing: 0;
  margin-left: calc(var(--gutter) * -1);
  max-width: calc(100% + var(--gutter) * 2);
  width: calc(100% + var(--gutter) * 2);
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-tabs .wc-tab .text-content table tr:nth-child(even) {
  background-color: var(--gray);
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-tabs .wc-tab .text-content table tr th {
  font-weight: 600;
  text-align: left;
}
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-tabs .wc-tab .text-content table tr th,
.single-product .site-content section.woocommerce .content-wrapper .product .woocommerce-tabs .wc-tab .text-content table tr td {
  padding: 10px 20px;
  vertical-align: top;
}
.single-product .site-content section.woocommerce .content-wrapper .product .related.products {
  grid-column: 1/-1;
  padding-top: 0;
}